	//Verifica se um valor é inteiro
	function isInt(value) {
	return !isNaN(value) && 
		parseInt(Number(value)) == value && 
		!isNaN(parseInt(value, 10));
	}

	//Função responsável por determinar a  troca de layout
	function changeLayout(layoutId){
	//console.log("Mudando para o layout de id " + layoutId);
	if(isInt(layoutId)){
		AreaInterface.changeLayout(layoutId);
	//console.log("Mudando para o layout de id " + layoutId);
	}
	}

	//Função responsável por determinar a troca de playlist
	function changePlaylist(playlistId){		
	if(isInt(playlistId)){
	//console.log("Mudando para o playlist de id " + playlistId);
	var response = AreaInterface.changePlaylist(playlistId);				
	}
	}

	//Função responsável por parar o scheduler de troca de notícias;
	function stopSchedulerNews(){
		clearInterval(window.interval);
		clearInterval(schedulerNews);
	}
	//Função responsável por iniciar o scheduler de troca notícias;
	function startSchedulerNews(){
	//console.log("Start schedulerNews");
		schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);
	}
	//Função responsável por requisitar a próxima notícia ao player
	function nextNews(){
	var response = AreaInterface.nextNews();  
	//console.log("Response: " + response);
	if( (typeof(response) == 'string') && (response.indexOf('&') !== -1 )){
	var rss = response.split('&');
	//console.log("RssImg: " + rss[0] + " - RssTxt: " + rss[1] );
		loadNews(rss[0],rss[1]);
	}
	}

	window.moeda = 'dolar';
	//Função responsável por exibir os dados da notícia no template
	function loadNews(imgVar, txtVar){
		console.log("--->imgVar", imgVar);
		console.log("--->txtVar", txtVar);
	var options = parseQueryString(decodeURIComponent(decodeURIComponent(txtVar)));

	if (options && !('solpoente1' in options)) {
	return false;
	}

		preencheDado(options);
	//var options = parseQueryString(txtVar);
	for(var key in options){
	var element = document.getElementById(key);

	//console.log(key, options[key]);//imprime todo xml
	if (element) {

	if(element.tagName.toLowerCase() == "img"){
	//console.log(element, key, options[key]);

	if(key == "icone1"){

	var agora = new Date();			
	var solPoente = options["solpoente1"].split("h");
	//console.log(solPoente);
	var solPoenteDate = new Date();
		solPoenteDate.setHours(parseInt(solPoente[0]));
		solPoenteDate.setMinutes(parseInt(solPoente[1]));
		solPoenteDate.setSeconds(0);

	//console.log("icone1", agora, solPoenteDate);
	//console.log("fabio", solPoenteDate.getTime(), agora.getTime());
	if( agora.getTime() > solPoenteDate.getTime()){
		element.src = "YOUSEEESQUERDA/" + options["iconoite1"] + ".png";
	continue;			
	}
	}	 
		element.src = "YOUSEEESQUERDA/" + options[key] + ".png";
	} else {
		element.innerHTML = options[key].replace("+", " ");
	}
	if(options["nomedia1"]){
		document.getElementById("nomedia1").innerHTML = "Hoje";
	}
	if(options["nomedia2"]){
		document.getElementById("nomedia2").innerHTML = "Amanh&#227;";
	}
	if(options["nomedia3"]){
		console.log("SAIDA--", options["nomedia3"]);
		document.getElementById("nomedia3").innerHTML = options["nomedia3"];
	}else{
		element.innerHTML = options[key].replace("+", " ");
	}
	}
	}
	}
	function preencheDado(options) {
	// Dolar
	if(window.moeda == 'dolar') {
		console.log("DOLAR: " +options["dolar-venda"]);			
		//document.getElementById("moeda").innerHTML = "$";
		document.getElementById("moeda").innerHTML = "DÓLAR";
		document.getElementById("venda").innerHTML = "R$ " + options["dolar-venda"].slice(0, 4);

	if(options["dolar-variacao"].substring(0, 1) != "-")
		document.getElementById("imgVariacao").src = "YOUSEEESQUERDA/positivo.png";
	else
		document.getElementById("imgVariacao").src = "YOUSEEESQUERDA/negativo.png";

	window.moeda = 'euro';

	return;
	}

	// Euro
	else if(window.moeda == 'euro') {
		console.log("EURO: " +options["euro-venda"]);
	//document.getElementById("moeda").innerHTML = "€";
		document.getElementById("moeda").innerHTML = "EURO";
		document.getElementById("venda").innerHTML = "R$ " + options["euro-venda"].slice(0, 4);

	if(options["euro-variacao"].substring(0, 1) != "-")
		document.getElementById("imgVariacao").src = "YOUSEEESQUERDA/positivo.png";
	else
		document.getElementById("imgVariacao").src = "YOUSEEESQUERDA/negativo.png";

	window.moeda = 'dolar';

	return;
	}

	}
	//Função responsável por fazer o parse dos dados da notícia passados como parâmetro através da chamada da url
	function parseQueryString (queryString) {
	if(typeof(queryString) != 'string'){
	return queryString;
	}
		queryString = queryString.split("+").join("%20");

	if(queryString[0] == '?'){
		queryString = queryString.substring(1, queryString.length);
	}

	var params = {}, queries, temp, i, l;
		queries = queryString.split('&');

	for ( i = 0, l = queries.length; i < l; i++ ) {
		temp = queries[i].split('=');
		params[temp[0]] = temp[1];
	}

	return params;
	}

	var MILISECONDS = 1000;
	//Tempo de duração de uma notícia em segundos
	var NEWS_TIME_IN_SECONDS =  10;
	//Tempo de duração de uma notícia em milisegundos 
	var NEWS_TIME = NEWS_TIME_IN_SECONDS * MILISECONDS;


	var params  = window.location.search.slice(1);
	var options = parseQueryString(params);


		loadNews(options.imgVar, options.txtVar);
	var schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);